02.01.41

Rating: No reviews yet
Downloads: 64
Released: Sep 24, 2010
Updated: Sep 25, 2010 by ploum
Dev status: Beta Help Icon

Recommended Download

Application Store_02.01.41_Install.zip
application, 705K, uploaded Sep 25, 2010 - 39 downloads

Other Available Downloads

Application Store_02.01.41_SkinObjects_Install.zip
application, 23K, uploaded Sep 25, 2010 - 25 downloads

Release Notes

What's New in this release?

IMPORTANT: this version requires DotNetNuke 04.06.02 or higher!

THIS VERSION IS A BETA, PLEASE DO NOT USE IT IN PRODUCTION! PERFORM A LOT OF TESTS BEFORE!!!
DO NOT REPORT BUGS HERE IN THE ISSUE TRACKER, INSTEAD USE THE DotNetNuke Store Forum!
DO NOT SEARCH NOR ASK FOR THE SOURCE CODE, I WILL PUBLISH IT AFTER SOME CLEANING!

Bugs corrected:

- Corrected a bug avoiding the products to be indexed by DNN in some circonstances.

Enhancements:

- Email templates system has been totaly changed! Now you can use the same token style than in the Text/HTML module to format your emails ([Order:OrderID], [BillingAddress:LastName]...). Only two resource strings are used for each email template, one for the subject and another one for the body. In addition, now the email sent to the store admin can be totaly different than the one sent to the customer. Previously, only the subject was different. And best of all, you can use HTML tags in your templates! I will udpate the templating guide ASAP to reflect this changes.

- Added error log in case of a product image can't be read from disk or accessed from the Internet.

- Added display of a warning message when an external image is selected in the product edit form if the website is not running in Full Trust Mode. Don't be confused it's only a warning, because some hosting providers allows access to external resources in Medium Trust and the Store module can't guess the result!

- Several enhancements have been added to the product edit form like validation rules and hiding of unused fields.


Store 02.01.41 is fully compliant with DotNetNuke migration standards. It can upgrade any previous version, and will be upgradable to the next official version.

SkinObjects are optional if you use the install version, but they are required with the source version.

Reviews for this release

No reviews yet for this release.